/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Inference payload for using Customization in Realtime Speech or Async Speech
 */
export interface CustomizationInference {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the customization to use.
     */
    "customizationId"?: string;
    /**
     * Alias of the customization
     */
    "customizationAlias"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment where customization is present
     */
    "compartmentId"?: string;
    /**
     * Entities present in the customization
     */
    "entities"?: Array<model.CustomizationInferenceEntity>;
}
export declare namespace CustomizationInference {
    function getJsonObj(obj: CustomizationInference): object;
    function getDeserializedJsonObj(obj: CustomizationInference): object;
}
