/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * List of entities of a given type, to be used to train a customization.
 * Note: If multiple EntityLists are provided, a separate Customization resource will be created for each EntityList.
 *
 */
export interface EntityList {
    /**
     * Alias of existing customization or to associate with new customization created from entityList.
     */
    "alias"?: string;
    /**
     * Entity type OCID
     */
    "id"?: string;
    /**
     * Entity Type
     */
    "entityType": string;
    /**
     * List of entities such as names, words or phrases matching the given entityType to add recognition support for
     */
    "entities"?: Array<model.Entity>;
}
export declare namespace EntityList {
    function getJsonObj(obj: EntityList): object;
    function getDeserializedJsonObj(obj: EntityList): object;
}
