/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Individual transcription tokens.
 */
export interface RealtimeMessageResultTranscriptionToken {
    /**
     * Transcription token.
     */
    "token": string;
    /**
     * Start time in milliseconds for the transcription token. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "startTimeInMs": number;
    /**
     * End time in milliseconds for the transcription token. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "endTimeInMs": number;
    /**
     * Confidence score for the transcription token. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "confidence": number;
    /**
     * Type of the transcription token.
     */
    "type": RealtimeMessageResultTranscriptionToken.Type;
}
export declare namespace RealtimeMessageResultTranscriptionToken {
    enum Type {
        Word = "WORD",
        Punctuation = "PUNCTUATION"
    }
    function getJsonObj(obj: RealtimeMessageResultTranscriptionToken): object;
    function getDeserializedJsonObj(obj: RealtimeMessageResultTranscriptionToken): object;
}
