/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about the association of capacity requests with the corresponding resources handed over by oracle.
 *
 */
export interface OccHandoverResourceBlockSummary {
    /**
     * The OCID of the resource block.
     *
     */
    "id": string;
    /**
     * The OCID of the compartment where the resource block's are placed.
     *
     */
    "compartmentId": string;
    /**
     * The name of the OCI service in consideration.
     * For example Compute, Exadata and so on.
     *
     */
    "namespace": model.Namespace;
    /**
     * The OCID of the customer group for which the resources were provisioned.
     *
     */
    "occCustomerGroupId": string;
    /**
     * The date on which the resource was handed over to the customer.
     *
     */
    "handoverDate": Date;
    /**
     * The name of the resource handed over by oracle.
     * For instance for compute namespace this will be the name of the bare metal hardware resource.
     *
     */
    "handoverResourceName": string;
    /**
     * The total quantity of the resource that was made available to the customer by Oracle.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalHandoverQuantity": number;
    /**
     * A list containing details about the capacity requests against which the resources were provisioned by oracle.
     *
     */
    "associatedCapacityRequests": Array<model.AssociatedCapacityRequestDetails>;
    "placementDetails": model.PlacementDetails;
}
export declare namespace OccHandoverResourceBlockSummary {
    function getJsonObj(obj: OccHandoverResourceBlockSummary): object;
    function getDeserializedJsonObj(obj: OccHandoverResourceBlockSummary): object;
}
