/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The action member details.
 *
 */
export interface ExecutionActionMember {
    /**
     * The priority order of the execution action member. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memberOrder": number;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the parent resource the execution action belongs to.
     */
    "memberId": string;
    /**
     * The current status of the execution action member. Valid states are SCHEDULED, IN_PROGRESS, FAILED, CANCELED, DURATION_EXCEEDED, RESCHEDULED and COMPLETED.
     * enum:
     * - SCHEDULED
     * - IN_PROGRESS
     * - FAILED
     * - CANCELED
     * - DURATION_EXCEEDED
     * - RESCHEDULED
     * - SUCCEEDED
     *
     */
    "status"?: string;
    /**
     * The estimated time of the execution action member in minutes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "estimatedTimeInMins"?: number;
    /**
     * The total time taken by corresponding resource activity in minutes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalTimeTakenInMins"?: number;
}
export declare namespace ExecutionActionMember {
    function getJsonObj(obj: ExecutionActionMember): object;
    function getDeserializedJsonObj(obj: ExecutionActionMember): object;
}
