/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A rule associated with a alert policy.
 */
export interface AlertPolicyRule {
    /**
     * The unique key of the alert policy rule.
     */
    "key": string;
    /**
     * Describes the alert policy rule.
     */
    "description"?: string;
    /**
     * The conditional expression of the alert policy rule which evaluates to boolean value.
     */
    "expression": string;
    /**
     * The current state of the alert policy rule.
     */
    "lifecycleState"?: model.AlertPolicyRuleLifecycleState;
    /**
     * The display name of the alert policy rule.
     */
    "displayName"?: string;
    /**
     * Creation date and time of the alert policy rule, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated"?: Date;
}
export declare namespace AlertPolicyRule {
    function getJsonObj(obj: AlertPolicyRule): object;
    function getDeserializedJsonObj(obj: AlertPolicyRule): object;
}
