"use strict";
/**
 * Oracle Delegate Access Control API
 * Oracle Delegate Access Control allows ExaCC and ExaCS customers to delegate management of their Exadata resources operators outside their tenancies.
With Delegate Access Control, Support Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform.
Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken.
Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks.
Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.

 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DelegatedResourceAccessRequestStatus = void 0;
/**
 * Possible status for a Delegated Resource Access Request.
 **/
var DelegatedResourceAccessRequestStatus;
(function (DelegatedResourceAccessRequestStatus) {
    DelegatedResourceAccessRequestStatus["Created"] = "CREATED";
    DelegatedResourceAccessRequestStatus["ApprovalWaiting"] = "APPROVAL_WAITING";
    DelegatedResourceAccessRequestStatus["OperatorAssignmentWaiting"] = "OPERATOR_ASSIGNMENT_WAITING";
    DelegatedResourceAccessRequestStatus["Preapproved"] = "PREAPPROVED";
    DelegatedResourceAccessRequestStatus["Approved"] = "APPROVED";
    DelegatedResourceAccessRequestStatus["ApprovedForFuture"] = "APPROVED_FOR_FUTURE";
    DelegatedResourceAccessRequestStatus["Rejected"] = "REJECTED";
    DelegatedResourceAccessRequestStatus["Deployed"] = "DEPLOYED";
    DelegatedResourceAccessRequestStatus["DeployFailed"] = "DEPLOY_FAILED";
    DelegatedResourceAccessRequestStatus["Undeployed"] = "UNDEPLOYED";
    DelegatedResourceAccessRequestStatus["UndeployFailed"] = "UNDEPLOY_FAILED";
    DelegatedResourceAccessRequestStatus["CloseFailed"] = "CLOSE_FAILED";
    DelegatedResourceAccessRequestStatus["RevokeFailed"] = "REVOKE_FAILED";
    DelegatedResourceAccessRequestStatus["ExpiryFailed"] = "EXPIRY_FAILED";
    DelegatedResourceAccessRequestStatus["Revoking"] = "REVOKING";
    DelegatedResourceAccessRequestStatus["Revoked"] = "REVOKED";
    DelegatedResourceAccessRequestStatus["Extending"] = "EXTENDING";
    DelegatedResourceAccessRequestStatus["Extended"] = "EXTENDED";
    DelegatedResourceAccessRequestStatus["ExtensionRejected"] = "EXTENSION_REJECTED";
    DelegatedResourceAccessRequestStatus["ExtensionFailed"] = "EXTENSION_FAILED";
    DelegatedResourceAccessRequestStatus["Completing"] = "COMPLETING";
    DelegatedResourceAccessRequestStatus["Completed"] = "COMPLETED";
    DelegatedResourceAccessRequestStatus["Expired"] = "EXPIRED";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DelegatedResourceAccessRequestStatus["UnknownValue"] = "UNKNOWN_VALUE";
})(DelegatedResourceAccessRequestStatus = exports.DelegatedResourceAccessRequestStatus || (exports.DelegatedResourceAccessRequestStatus = {}));
(function (DelegatedResourceAccessRequestStatus) {
    function getJsonObj(obj) {
        return obj;
    }
    DelegatedResourceAccessRequestStatus.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DelegatedResourceAccessRequestStatus.getDeserializedJsonObj = getDeserializedJsonObj;
})(DelegatedResourceAccessRequestStatus = exports.DelegatedResourceAccessRequestStatus || (exports.DelegatedResourceAccessRequestStatus = {}));
//# sourceMappingURL=delegated-resource-access-request-status.js.map