"use strict";
/**
 * Oracle Delegate Access Control API
 * Oracle Delegate Access Control allows ExaCC and ExaCS customers to delegate management of their Exadata resources operators outside their tenancies.
With Delegate Access Control, Support Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform.
Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken.
Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks.
Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.

 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequest = exports.UpdateDelegationSubscriptionDetails = exports.UpdateDelegationControlDetails = exports.SortOrders = exports.ServiceProviderSummaryCollection = exports.ServiceProviderSummary = exports.ServiceProviderServiceType = exports.ServiceProviderInteractionSummary = exports.ServiceProviderInteractionRequestDetails = exports.ServiceProviderInteractionCollection = exports.ServiceProviderActionSummaryCollection = exports.ServiceProviderActionSummary = exports.ServiceProviderActionProperties = exports.ServiceProviderAction = exports.ServiceProvider = exports.RevokeDelegatedResourceAccessRequestDetails = exports.RejectDelegatedResourceAccessRequestDetails = exports.OperationType = exports.OperationStatus = exports.DelegationSubscriptionSummaryCollection = exports.DelegationSubscriptionSummary = exports.DelegationSubscription = exports.DelegationControlSummaryCollection = exports.DelegationControlSummary = exports.DelegationControlResourceType = exports.DelegationControlResourceSummary = exports.DelegationControlResourceCollection = exports.DelegationControl = exports.DelegatedResourceAccessRequesterType = exports.DelegatedResourceAccessRequestSummaryCollection = exports.DelegatedResourceAccessRequestSummary = exports.DelegatedResourceAccessRequestStatus = exports.DelegatedResourceAccessRequestSeverity = exports.DelegatedResourceAccessRequestHistorySummary = exports.DelegatedResourceAccessRequestHistoryCollection = exports.DelegatedResourceAccessRequestAuditType = exports.DelegatedResourceAccessRequestAuditLogReport = exports.DelegatedResourceAccessRequestApprovalDetails = exports.DelegatedResourceAccessRequest = exports.CreateDelegationSubscriptionDetails = exports.CreateDelegationControlDetails = exports.ChangeDelegationSubscriptionCompartmentDetails = exports.ChangeDelegationControlCompartmentDetails = exports.AuditReportStatus = exports.ApproveDelegatedResourceAccessRequestDetails = exports.ActionType = void 0;
exports.WorkRequestSummaryCollection = exports.WorkRequestSummary = exports.WorkRequestResourceMetadataKey = exports.WorkRequestResource = void 0;
const ActionType = __importStar(require("./action-type"));
exports.ActionType = ActionType.ActionType;
const ApproveDelegatedResourceAccessRequestDetails = __importStar(require("./approve-delegated-resource-access-request-details"));
exports.ApproveDelegatedResourceAccessRequestDetails = ApproveDelegatedResourceAccessRequestDetails.ApproveDelegatedResourceAccessRequestDetails;
const AuditReportStatus = __importStar(require("./audit-report-status"));
exports.AuditReportStatus = AuditReportStatus.AuditReportStatus;
const ChangeDelegationControlCompartmentDetails = __importStar(require("./change-delegation-control-compartment-details"));
exports.ChangeDelegationControlCompartmentDetails = ChangeDelegationControlCompartmentDetails.ChangeDelegationControlCompartmentDetails;
const ChangeDelegationSubscriptionCompartmentDetails = __importStar(require("./change-delegation-subscription-compartment-details"));
exports.ChangeDelegationSubscriptionCompartmentDetails = ChangeDelegationSubscriptionCompartmentDetails.ChangeDelegationSubscriptionCompartmentDetails;
const CreateDelegationControlDetails = __importStar(require("./create-delegation-control-details"));
exports.CreateDelegationControlDetails = CreateDelegationControlDetails.CreateDelegationControlDetails;
const CreateDelegationSubscriptionDetails = __importStar(require("./create-delegation-subscription-details"));
exports.CreateDelegationSubscriptionDetails = CreateDelegationSubscriptionDetails.CreateDelegationSubscriptionDetails;
const DelegatedResourceAccessRequest = __importStar(require("./delegated-resource-access-request"));
exports.DelegatedResourceAccessRequest = DelegatedResourceAccessRequest.DelegatedResourceAccessRequest;
const DelegatedResourceAccessRequestApprovalDetails = __importStar(require("./delegated-resource-access-request-approval-details"));
exports.DelegatedResourceAccessRequestApprovalDetails = DelegatedResourceAccessRequestApprovalDetails.DelegatedResourceAccessRequestApprovalDetails;
const DelegatedResourceAccessRequestAuditLogReport = __importStar(require("./delegated-resource-access-request-audit-log-report"));
exports.DelegatedResourceAccessRequestAuditLogReport = DelegatedResourceAccessRequestAuditLogReport.DelegatedResourceAccessRequestAuditLogReport;
const DelegatedResourceAccessRequestAuditType = __importStar(require("./delegated-resource-access-request-audit-type"));
exports.DelegatedResourceAccessRequestAuditType = DelegatedResourceAccessRequestAuditType.DelegatedResourceAccessRequestAuditType;
const DelegatedResourceAccessRequestHistoryCollection = __importStar(require("./delegated-resource-access-request-history-collection"));
exports.DelegatedResourceAccessRequestHistoryCollection = DelegatedResourceAccessRequestHistoryCollection.DelegatedResourceAccessRequestHistoryCollection;
const DelegatedResourceAccessRequestHistorySummary = __importStar(require("./delegated-resource-access-request-history-summary"));
exports.DelegatedResourceAccessRequestHistorySummary = DelegatedResourceAccessRequestHistorySummary.DelegatedResourceAccessRequestHistorySummary;
const DelegatedResourceAccessRequestSeverity = __importStar(require("./delegated-resource-access-request-severity"));
exports.DelegatedResourceAccessRequestSeverity = DelegatedResourceAccessRequestSeverity.DelegatedResourceAccessRequestSeverity;
const DelegatedResourceAccessRequestStatus = __importStar(require("./delegated-resource-access-request-status"));
exports.DelegatedResourceAccessRequestStatus = DelegatedResourceAccessRequestStatus.DelegatedResourceAccessRequestStatus;
const DelegatedResourceAccessRequestSummary = __importStar(require("./delegated-resource-access-request-summary"));
exports.DelegatedResourceAccessRequestSummary = DelegatedResourceAccessRequestSummary.DelegatedResourceAccessRequestSummary;
const DelegatedResourceAccessRequestSummaryCollection = __importStar(require("./delegated-resource-access-request-summary-collection"));
exports.DelegatedResourceAccessRequestSummaryCollection = DelegatedResourceAccessRequestSummaryCollection.DelegatedResourceAccessRequestSummaryCollection;
const DelegatedResourceAccessRequesterType = __importStar(require("./delegated-resource-access-requester-type"));
exports.DelegatedResourceAccessRequesterType = DelegatedResourceAccessRequesterType.DelegatedResourceAccessRequesterType;
const DelegationControl = __importStar(require("./delegation-control"));
exports.DelegationControl = DelegationControl.DelegationControl;
const DelegationControlResourceCollection = __importStar(require("./delegation-control-resource-collection"));
exports.DelegationControlResourceCollection = DelegationControlResourceCollection.DelegationControlResourceCollection;
const DelegationControlResourceSummary = __importStar(require("./delegation-control-resource-summary"));
exports.DelegationControlResourceSummary = DelegationControlResourceSummary.DelegationControlResourceSummary;
const DelegationControlResourceType = __importStar(require("./delegation-control-resource-type"));
exports.DelegationControlResourceType = DelegationControlResourceType.DelegationControlResourceType;
const DelegationControlSummary = __importStar(require("./delegation-control-summary"));
exports.DelegationControlSummary = DelegationControlSummary.DelegationControlSummary;
const DelegationControlSummaryCollection = __importStar(require("./delegation-control-summary-collection"));
exports.DelegationControlSummaryCollection = DelegationControlSummaryCollection.DelegationControlSummaryCollection;
const DelegationSubscription = __importStar(require("./delegation-subscription"));
exports.DelegationSubscription = DelegationSubscription.DelegationSubscription;
const DelegationSubscriptionSummary = __importStar(require("./delegation-subscription-summary"));
exports.DelegationSubscriptionSummary = DelegationSubscriptionSummary.DelegationSubscriptionSummary;
const DelegationSubscriptionSummaryCollection = __importStar(require("./delegation-subscription-summary-collection"));
exports.DelegationSubscriptionSummaryCollection = DelegationSubscriptionSummaryCollection.DelegationSubscriptionSummaryCollection;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationType = __importStar(require("./operation-type"));
exports.OperationType = OperationType.OperationType;
const RejectDelegatedResourceAccessRequestDetails = __importStar(require("./reject-delegated-resource-access-request-details"));
exports.RejectDelegatedResourceAccessRequestDetails = RejectDelegatedResourceAccessRequestDetails.RejectDelegatedResourceAccessRequestDetails;
const RevokeDelegatedResourceAccessRequestDetails = __importStar(require("./revoke-delegated-resource-access-request-details"));
exports.RevokeDelegatedResourceAccessRequestDetails = RevokeDelegatedResourceAccessRequestDetails.RevokeDelegatedResourceAccessRequestDetails;
const ServiceProvider = __importStar(require("./service-provider"));
exports.ServiceProvider = ServiceProvider.ServiceProvider;
const ServiceProviderAction = __importStar(require("./service-provider-action"));
exports.ServiceProviderAction = ServiceProviderAction.ServiceProviderAction;
const ServiceProviderActionProperties = __importStar(require("./service-provider-action-properties"));
exports.ServiceProviderActionProperties = ServiceProviderActionProperties.ServiceProviderActionProperties;
const ServiceProviderActionSummary = __importStar(require("./service-provider-action-summary"));
exports.ServiceProviderActionSummary = ServiceProviderActionSummary.ServiceProviderActionSummary;
const ServiceProviderActionSummaryCollection = __importStar(require("./service-provider-action-summary-collection"));
exports.ServiceProviderActionSummaryCollection = ServiceProviderActionSummaryCollection.ServiceProviderActionSummaryCollection;
const ServiceProviderInteractionCollection = __importStar(require("./service-provider-interaction-collection"));
exports.ServiceProviderInteractionCollection = ServiceProviderInteractionCollection.ServiceProviderInteractionCollection;
const ServiceProviderInteractionRequestDetails = __importStar(require("./service-provider-interaction-request-details"));
exports.ServiceProviderInteractionRequestDetails = ServiceProviderInteractionRequestDetails.ServiceProviderInteractionRequestDetails;
const ServiceProviderInteractionSummary = __importStar(require("./service-provider-interaction-summary"));
exports.ServiceProviderInteractionSummary = ServiceProviderInteractionSummary.ServiceProviderInteractionSummary;
const ServiceProviderServiceType = __importStar(require("./service-provider-service-type"));
exports.ServiceProviderServiceType = ServiceProviderServiceType.ServiceProviderServiceType;
const ServiceProviderSummary = __importStar(require("./service-provider-summary"));
exports.ServiceProviderSummary = ServiceProviderSummary.ServiceProviderSummary;
const ServiceProviderSummaryCollection = __importStar(require("./service-provider-summary-collection"));
exports.ServiceProviderSummaryCollection = ServiceProviderSummaryCollection.ServiceProviderSummaryCollection;
const SortOrders = __importStar(require("./sort-orders"));
exports.SortOrders = SortOrders.SortOrders;
const UpdateDelegationControlDetails = __importStar(require("./update-delegation-control-details"));
exports.UpdateDelegationControlDetails = UpdateDelegationControlDetails.UpdateDelegationControlDetails;
const UpdateDelegationSubscriptionDetails = __importStar(require("./update-delegation-subscription-details"));
exports.UpdateDelegationSubscriptionDetails = UpdateDelegationSubscriptionDetails.UpdateDelegationSubscriptionDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestResourceMetadataKey = __importStar(require("./work-request-resource-metadata-key"));
exports.WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const WorkRequestSummaryCollection = __importStar(require("./work-request-summary-collection"));
exports.WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
//# sourceMappingURL=index.js.map