/**
 *
 *
 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/delegateaccesscontrol/ListServiceProviderActions.ts.html |here} to see how to use ListServiceProviderActionsRequest.
 */
export interface ListServiceProviderActionsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * A filter to return only resources that match the entire name given.
     */
    "name"?: string;
    /**
     * A filter to return only resources that match the given resource type.
     */
    "resourceType"?: model.DelegationControlResourceType;
    /**
     * A filter to return only resources that match the given Service Provider service type.
     */
    "serviceProviderServiceType"?: Array<model.ServiceProviderServiceType>;
    /**
     * A filter to return only resources whose lifecycleState matches the given Service Provider Action lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrders;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified, default is timeCreated.
     *
     */
    "sortBy"?: ListServiceProviderActionsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListServiceProviderActionsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        Name = "name"
    }
}
