/**
 * Oracle Delegate Access Control API
 * Oracle Delegate Access Control allows ExaCC and ExaCS customers to delegate management of their Exadata resources operators outside their tenancies.
With Delegate Access Control, Support Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform.
Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken.
Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks.
Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.

 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ApproveDelegatedResourceAccessRequestResponse from "./approve-delegated-resource-access-request-response";
export import ApproveDelegatedResourceAccessRequestResponse = ApproveDelegatedResourceAccessRequestResponse.ApproveDelegatedResourceAccessRequestResponse;
import * as ChangeDelegationControlCompartmentResponse from "./change-delegation-control-compartment-response";
export import ChangeDelegationControlCompartmentResponse = ChangeDelegationControlCompartmentResponse.ChangeDelegationControlCompartmentResponse;
import * as ChangeDelegationSubscriptionCompartmentResponse from "./change-delegation-subscription-compartment-response";
export import ChangeDelegationSubscriptionCompartmentResponse = ChangeDelegationSubscriptionCompartmentResponse.ChangeDelegationSubscriptionCompartmentResponse;
import * as CreateDelegationControlResponse from "./create-delegation-control-response";
export import CreateDelegationControlResponse = CreateDelegationControlResponse.CreateDelegationControlResponse;
import * as CreateDelegationSubscriptionResponse from "./create-delegation-subscription-response";
export import CreateDelegationSubscriptionResponse = CreateDelegationSubscriptionResponse.CreateDelegationSubscriptionResponse;
import * as DeleteDelegationControlResponse from "./delete-delegation-control-response";
export import DeleteDelegationControlResponse = DeleteDelegationControlResponse.DeleteDelegationControlResponse;
import * as DeleteDelegationSubscriptionResponse from "./delete-delegation-subscription-response";
export import DeleteDelegationSubscriptionResponse = DeleteDelegationSubscriptionResponse.DeleteDelegationSubscriptionResponse;
import * as GetDelegatedResourceAccessRequestResponse from "./get-delegated-resource-access-request-response";
export import GetDelegatedResourceAccessRequestResponse = GetDelegatedResourceAccessRequestResponse.GetDelegatedResourceAccessRequestResponse;
import * as GetDelegatedResourceAccessRequestAuditLogReportResponse from "./get-delegated-resource-access-request-audit-log-report-response";
export import GetDelegatedResourceAccessRequestAuditLogReportResponse = GetDelegatedResourceAccessRequestAuditLogReportResponse.GetDelegatedResourceAccessRequestAuditLogReportResponse;
import * as GetDelegationControlResponse from "./get-delegation-control-response";
export import GetDelegationControlResponse = GetDelegationControlResponse.GetDelegationControlResponse;
import * as GetDelegationSubscriptionResponse from "./get-delegation-subscription-response";
export import GetDelegationSubscriptionResponse = GetDelegationSubscriptionResponse.GetDelegationSubscriptionResponse;
import * as GetServiceProviderResponse from "./get-service-provider-response";
export import GetServiceProviderResponse = GetServiceProviderResponse.GetServiceProviderResponse;
import * as GetServiceProviderActionResponse from "./get-service-provider-action-response";
export import GetServiceProviderActionResponse = GetServiceProviderActionResponse.GetServiceProviderActionResponse;
import * as ListDelegatedResourceAccessRequestHistoriesResponse from "./list-delegated-resource-access-request-histories-response";
export import ListDelegatedResourceAccessRequestHistoriesResponse = ListDelegatedResourceAccessRequestHistoriesResponse.ListDelegatedResourceAccessRequestHistoriesResponse;
import * as ListDelegatedResourceAccessRequestsResponse from "./list-delegated-resource-access-requests-response";
export import ListDelegatedResourceAccessRequestsResponse = ListDelegatedResourceAccessRequestsResponse.ListDelegatedResourceAccessRequestsResponse;
import * as ListDelegationControlResourcesResponse from "./list-delegation-control-resources-response";
export import ListDelegationControlResourcesResponse = ListDelegationControlResourcesResponse.ListDelegationControlResourcesResponse;
import * as ListDelegationControlsResponse from "./list-delegation-controls-response";
export import ListDelegationControlsResponse = ListDelegationControlsResponse.ListDelegationControlsResponse;
import * as ListDelegationSubscriptionsResponse from "./list-delegation-subscriptions-response";
export import ListDelegationSubscriptionsResponse = ListDelegationSubscriptionsResponse.ListDelegationSubscriptionsResponse;
import * as ListServiceProviderActionsResponse from "./list-service-provider-actions-response";
export import ListServiceProviderActionsResponse = ListServiceProviderActionsResponse.ListServiceProviderActionsResponse;
import * as ListServiceProviderInteractionsResponse from "./list-service-provider-interactions-response";
export import ListServiceProviderInteractionsResponse = ListServiceProviderInteractionsResponse.ListServiceProviderInteractionsResponse;
import * as ListServiceProvidersResponse from "./list-service-providers-response";
export import ListServiceProvidersResponse = ListServiceProvidersResponse.ListServiceProvidersResponse;
import * as RejectDelegatedResourceAccessRequestResponse from "./reject-delegated-resource-access-request-response";
export import RejectDelegatedResourceAccessRequestResponse = RejectDelegatedResourceAccessRequestResponse.RejectDelegatedResourceAccessRequestResponse;
import * as RevokeDelegatedResourceAccessRequestResponse from "./revoke-delegated-resource-access-request-response";
export import RevokeDelegatedResourceAccessRequestResponse = RevokeDelegatedResourceAccessRequestResponse.RevokeDelegatedResourceAccessRequestResponse;
import * as ServiceProviderInteractionRequestResponse from "./service-provider-interaction-request-response";
export import ServiceProviderInteractionRequestResponse = ServiceProviderInteractionRequestResponse.ServiceProviderInteractionRequestResponse;
import * as UpdateDelegationControlResponse from "./update-delegation-control-response";
export import UpdateDelegationControlResponse = UpdateDelegationControlResponse.UpdateDelegationControlResponse;
import * as UpdateDelegationSubscriptionResponse from "./update-delegation-subscription-response";
export import UpdateDelegationSubscriptionResponse = UpdateDelegationSubscriptionResponse.UpdateDelegationSubscriptionResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
