/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create properties for a object storage bucket member.
 */
export interface CreateDrProtectionGroupMemberObjectStorageBucketDetails extends model.CreateDrProtectionGroupMemberDetails {
    /**
      * The namespace in object storage (Note - this is usually the tenancy name).
  * <p>
  Example: {@code myocitenancy}
  *
      */
    "namespaceName": string;
    /**
      * The bucket name inside the object storage namespace.
  * <p>
  Example: {@code bucket_name}
  *
      */
    "bucketName": string;
    "memberType": string;
}
export declare namespace CreateDrProtectionGroupMemberObjectStorageBucketDetails {
    function getJsonObj(obj: CreateDrProtectionGroupMemberObjectStorageBucketDetails, isParentJsonObj?: boolean): object;
    const memberType = "OBJECT_STORAGE_BUCKET";
    function getDeserializedJsonObj(obj: CreateDrProtectionGroupMemberObjectStorageBucketDetails, isParentJsonObj?: boolean): object;
}
