/**
 * Fleet Application Management Service API
 * Fleet Application Management Service API. Use this API to for all FAMS related activities.
To manage fleets,view complaince report for the Fleet,scedule patches and other lifecycle activities

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Action Group.
 */
export interface ActionGroupDetails {
    /**
     * The ID of the ActionGroup resource .
     * Ex:fleetId.
     *
     */
    "resourceId": string;
    /**
     * Name of the ActionGroup.
     */
    "name"?: string;
    /**
     * Type of the ActionGroup
     */
    "type"?: model.LifeCycleActionGroupType;
    /**
     * Application Type associated.
     * Only applicable if actionGroup type is ENVIRONMENT.
     *
     */
    "applicationType"?: string;
    /**
     * Product associated.
     * Only applicable if actionGroup type is PRODUCT.
     *
     */
    "product"?: string;
    /**
     * LifeCycle Operation
     */
    "lifecycleOperation"?: string;
    /**
     * Unique producer Id at Action Group Level
     */
    "activityId"?: string;
    /**
     * Status of the Job at Action Group Level
     */
    "status"?: model.JobStatus;
    /**
     * The time the the Scheduler Job started. An RFC3339 formatted datetime string
     */
    "timeStarted"?: Date;
    /**
     * The time the Scheduler Job ended. An RFC3339 formatted datetime string
     */
    "timeEnded"?: Date;
    /**
     * ID of the runbook
     */
    "runbookId": string;
}
export declare namespace ActionGroupDetails {
    function getJsonObj(obj: ActionGroupDetails): object;
    function getDeserializedJsonObj(obj: ActionGroupDetails): object;
}
