/**
 * Fleet Application Management Service API
 * Fleet Application Management Service API. Use this API to for all FAMS related activities.
To manage fleets,view complaince report for the Fleet,scedule patches and other lifecycle activities

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Description of Fleet.
 */
export interface Fleet {
    /**
     * The OCID of the resource.
     */
    "id": string;
    /**
     * Tenancy OCID
     */
    "compartmentId": string;
    /**
     * Associated region
     */
    "resourceRegion"?: string;
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName": string;
    /**
     * A user-friendly description. To provide some insight about the resource.
     * Avoid entering confidential information.
     *
     */
    "description"?: string;
    /**
     * The time this resource was created. An RFC3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time this resource was last updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * Type of the Fleet.
     */
    "fleetType": Fleet.FleetType;
    /**
     * Products associated with the Fleet
     */
    "products"?: Array<string>;
    /**
     * Application Type associated with the Fleet.Applicable for ENVIRONMENT fleet types.
     */
    "applicationType"?: string;
    /**
     * Environment Type associated with the Fleet.Applicable for ENVIRONMENT fleet types.
     */
    "environmentType"?: string;
    /**
     * Group Type associated with Group Fleet.Applicable for GROUP fleet types.
     */
    "groupType"?: Fleet.GroupType;
    /**
     * Type of resource selection in a fleet.
     */
    "resourceSelectionType"?: Fleet.ResourceSelectionType;
    "ruleSelectionCriteria"?: model.SelectionCriteria;
    "notificationPreferences"?: model.NotificationPreferences;
    /**
     * Resources to be added during fleet creation when Resource selection type is Manual.
     */
    "resources"?: Array<model.AssociatedFleetResourceDetails>;
    /**
     * Properties to be added during fleet creation.
     */
    "properties"?: Array<model.AssociatedFleetPropertyDetails>;
    /**
     * Credentials to be added during fleet creation.
     */
    "credentials"?: Array<model.AssociatedFleetCredentialDetails>;
    /**
     * A value which represents if auto confirming of the targets can be enabled
     */
    "isTargetAutoConfirm"?: boolean;
    /**
     * The lifecycle state of the Fleet.
     */
    "lifecycleState": Fleet.LifecycleState;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags": {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace Fleet {
    enum FleetType {
        Product = "PRODUCT",
        Environment = "ENVIRONMENT",
        Generic = "GENERIC",
        Group = "GROUP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum GroupType {
        Environment = "ENVIRONMENT",
        Product = "PRODUCT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum ResourceSelectionType {
        Dynamic = "DYNAMIC",
        Manual = "MANUAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LifecycleState {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Creating = "CREATING",
        Deleted = "DELETED",
        Deleting = "DELETING",
        Failed = "FAILED",
        Updating = "UPDATING",
        NeedsAttention = "NEEDS_ATTENTION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Fleet): object;
    function getDeserializedJsonObj(obj: Fleet): object;
}
