/**
 * Fleet Application Management Service API
 * Fleet Application Management Service API. Use this API to for all FAMS related activities.
To manage fleets,view complaince report for the Fleet,scedule patches and other lifecycle activities

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Maintenance Window information to be updated.
 */
export interface UpdateMaintenanceWindowDetails {
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName"?: string;
    /**
     * A user-friendly description. To provide some insight about the resource.
     * Avoid entering confidential information.
     *
     */
    "description"?: string;
    /**
     * MaintenanceWindow Identifier
     */
    "maintenanceWindowType"?: model.MaintenanceWindowType;
    /**
     * Does the maintenenace window cause outage?
     */
    "isOutage"?: boolean;
    /**
     * Start time of schedule
     */
    "timeScheduleStart"?: Date;
    /**
     * Duration if schedule type is Custom
     */
    "duration"?: string;
    /**
     * Is this is a recurring maintenance window
     */
    "isRecurring"?: boolean;
    /**
     * Recurrence rule specification if recurring
     */
    "recurrences"?: string;
    /**
     * Task initiation cutoff Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "taskInitiationCutoff"?: number;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdateMaintenanceWindowDetails {
    function getJsonObj(obj: UpdateMaintenanceWindowDetails): object;
    function getDeserializedJsonObj(obj: UpdateMaintenanceWindowDetails): object;
}
