"use strict";
/**
 * Generative AI Agents Management API
 * **Generative AI Agents API**


OCI Generative AI Agents is a fully managed service that combines the power of large language models (LLMs) with an intelligent retrieval system to create contextually relevant answers by searching your knowledge base, making your AI applications smart and efficient.

OCI Generative AI Agents supports several ways to onboard your data and then allows you and your customers to interact with your data using a chat interface or API.

Use the Generative AI Agents API to create and manage agents, knowledge bases, data sources, endpoints, data ingestion jobs, and work requests.

For creating and managing client chat sessions see the [Generative AI Agents Client API](#/EN/generative-ai-agents-client/latest/).

To learn more about the service, see the [Generative AI Agents documentation](/iaas/Content/generative-ai-agents/home.htm).

 * OpenAPI spec version: 20240531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkRequestSummary = exports.WorkRequestResourceMetadataKey = exports.WorkRequestResource = exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequest = exports.UpdateKnowledgeBaseDetails = exports.UpdateDataSourceDetails = exports.UpdateAgentEndpointDetails = exports.UpdateAgentDetails = exports.SortOrder = exports.SessionConfig = exports.SecretDetail = exports.OperationType = exports.OperationStatus = exports.ObjectStoragePrefix = exports.KnowledgeBaseSummary = exports.KnowledgeBaseCollection = exports.KnowledgeBase = exports.IndexSchema = exports.IndexConfig = exports.Index = exports.DatabaseFunction = exports.DatabaseConnection = exports.DataSourceSummary = exports.DataSourceConfig = exports.DataSourceCollection = exports.DataSource = exports.DataIngestionJobSummary = exports.DataIngestionJobStatistics = exports.DataIngestionJobCollection = exports.DataIngestionJob = exports.CreateKnowledgeBaseDetails = exports.CreateDataSourceDetails = exports.CreateDataIngestionJobDetails = exports.CreateAgentEndpointDetails = exports.CreateAgentDetails = exports.ContentModerationConfig = exports.ChangeKnowledgeBaseCompartmentDetails = exports.ChangeAgentEndpointCompartmentDetails = exports.ChangeAgentCompartmentDetails = exports.AgentSummary = exports.AgentEndpointSummary = exports.AgentEndpointCollection = exports.AgentEndpoint = exports.AgentCollection = exports.Agent = exports.ActionType = void 0;
exports.OciOpenSearchIndexConfig = exports.OciObjectStorageDataSourceConfig = exports.OciDatabaseConfig = exports.IdcsSecret = exports.DefaultIndexConfig = exports.DatabaseToolConnection = exports.BasicAuthSecret = exports.WorkRequestSummaryCollection = void 0;
const ActionType = __importStar(require("./action-type"));
exports.ActionType = ActionType.ActionType;
const Agent = __importStar(require("./agent"));
exports.Agent = Agent.Agent;
const AgentCollection = __importStar(require("./agent-collection"));
exports.AgentCollection = AgentCollection.AgentCollection;
const AgentEndpoint = __importStar(require("./agent-endpoint"));
exports.AgentEndpoint = AgentEndpoint.AgentEndpoint;
const AgentEndpointCollection = __importStar(require("./agent-endpoint-collection"));
exports.AgentEndpointCollection = AgentEndpointCollection.AgentEndpointCollection;
const AgentEndpointSummary = __importStar(require("./agent-endpoint-summary"));
exports.AgentEndpointSummary = AgentEndpointSummary.AgentEndpointSummary;
const AgentSummary = __importStar(require("./agent-summary"));
exports.AgentSummary = AgentSummary.AgentSummary;
const ChangeAgentCompartmentDetails = __importStar(require("./change-agent-compartment-details"));
exports.ChangeAgentCompartmentDetails = ChangeAgentCompartmentDetails.ChangeAgentCompartmentDetails;
const ChangeAgentEndpointCompartmentDetails = __importStar(require("./change-agent-endpoint-compartment-details"));
exports.ChangeAgentEndpointCompartmentDetails = ChangeAgentEndpointCompartmentDetails.ChangeAgentEndpointCompartmentDetails;
const ChangeKnowledgeBaseCompartmentDetails = __importStar(require("./change-knowledge-base-compartment-details"));
exports.ChangeKnowledgeBaseCompartmentDetails = ChangeKnowledgeBaseCompartmentDetails.ChangeKnowledgeBaseCompartmentDetails;
const ContentModerationConfig = __importStar(require("./content-moderation-config"));
exports.ContentModerationConfig = ContentModerationConfig.ContentModerationConfig;
const CreateAgentDetails = __importStar(require("./create-agent-details"));
exports.CreateAgentDetails = CreateAgentDetails.CreateAgentDetails;
const CreateAgentEndpointDetails = __importStar(require("./create-agent-endpoint-details"));
exports.CreateAgentEndpointDetails = CreateAgentEndpointDetails.CreateAgentEndpointDetails;
const CreateDataIngestionJobDetails = __importStar(require("./create-data-ingestion-job-details"));
exports.CreateDataIngestionJobDetails = CreateDataIngestionJobDetails.CreateDataIngestionJobDetails;
const CreateDataSourceDetails = __importStar(require("./create-data-source-details"));
exports.CreateDataSourceDetails = CreateDataSourceDetails.CreateDataSourceDetails;
const CreateKnowledgeBaseDetails = __importStar(require("./create-knowledge-base-details"));
exports.CreateKnowledgeBaseDetails = CreateKnowledgeBaseDetails.CreateKnowledgeBaseDetails;
const DataIngestionJob = __importStar(require("./data-ingestion-job"));
exports.DataIngestionJob = DataIngestionJob.DataIngestionJob;
const DataIngestionJobCollection = __importStar(require("./data-ingestion-job-collection"));
exports.DataIngestionJobCollection = DataIngestionJobCollection.DataIngestionJobCollection;
const DataIngestionJobStatistics = __importStar(require("./data-ingestion-job-statistics"));
exports.DataIngestionJobStatistics = DataIngestionJobStatistics.DataIngestionJobStatistics;
const DataIngestionJobSummary = __importStar(require("./data-ingestion-job-summary"));
exports.DataIngestionJobSummary = DataIngestionJobSummary.DataIngestionJobSummary;
const DataSource = __importStar(require("./data-source"));
exports.DataSource = DataSource.DataSource;
const DataSourceCollection = __importStar(require("./data-source-collection"));
exports.DataSourceCollection = DataSourceCollection.DataSourceCollection;
const DataSourceConfig = __importStar(require("./data-source-config"));
exports.DataSourceConfig = DataSourceConfig.DataSourceConfig;
const DataSourceSummary = __importStar(require("./data-source-summary"));
exports.DataSourceSummary = DataSourceSummary.DataSourceSummary;
const DatabaseConnection = __importStar(require("./database-connection"));
exports.DatabaseConnection = DatabaseConnection.DatabaseConnection;
const DatabaseFunction = __importStar(require("./database-function"));
exports.DatabaseFunction = DatabaseFunction.DatabaseFunction;
const Index = __importStar(require("./model-index"));
exports.Index = Index.Index;
const IndexConfig = __importStar(require("./index-config"));
exports.IndexConfig = IndexConfig.IndexConfig;
const IndexSchema = __importStar(require("./index-schema"));
exports.IndexSchema = IndexSchema.IndexSchema;
const KnowledgeBase = __importStar(require("./knowledge-base"));
exports.KnowledgeBase = KnowledgeBase.KnowledgeBase;
const KnowledgeBaseCollection = __importStar(require("./knowledge-base-collection"));
exports.KnowledgeBaseCollection = KnowledgeBaseCollection.KnowledgeBaseCollection;
const KnowledgeBaseSummary = __importStar(require("./knowledge-base-summary"));
exports.KnowledgeBaseSummary = KnowledgeBaseSummary.KnowledgeBaseSummary;
const ObjectStoragePrefix = __importStar(require("./object-storage-prefix"));
exports.ObjectStoragePrefix = ObjectStoragePrefix.ObjectStoragePrefix;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationType = __importStar(require("./operation-type"));
exports.OperationType = OperationType.OperationType;
const SecretDetail = __importStar(require("./secret-detail"));
exports.SecretDetail = SecretDetail.SecretDetail;
const SessionConfig = __importStar(require("./session-config"));
exports.SessionConfig = SessionConfig.SessionConfig;
const SortOrder = __importStar(require("./sort-order"));
exports.SortOrder = SortOrder.SortOrder;
const UpdateAgentDetails = __importStar(require("./update-agent-details"));
exports.UpdateAgentDetails = UpdateAgentDetails.UpdateAgentDetails;
const UpdateAgentEndpointDetails = __importStar(require("./update-agent-endpoint-details"));
exports.UpdateAgentEndpointDetails = UpdateAgentEndpointDetails.UpdateAgentEndpointDetails;
const UpdateDataSourceDetails = __importStar(require("./update-data-source-details"));
exports.UpdateDataSourceDetails = UpdateDataSourceDetails.UpdateDataSourceDetails;
const UpdateKnowledgeBaseDetails = __importStar(require("./update-knowledge-base-details"));
exports.UpdateKnowledgeBaseDetails = UpdateKnowledgeBaseDetails.UpdateKnowledgeBaseDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestResourceMetadataKey = __importStar(require("./work-request-resource-metadata-key"));
exports.WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const WorkRequestSummaryCollection = __importStar(require("./work-request-summary-collection"));
exports.WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
const BasicAuthSecret = __importStar(require("./basic-auth-secret"));
exports.BasicAuthSecret = BasicAuthSecret.BasicAuthSecret;
const DatabaseToolConnection = __importStar(require("./database-tool-connection"));
exports.DatabaseToolConnection = DatabaseToolConnection.DatabaseToolConnection;
const DefaultIndexConfig = __importStar(require("./default-index-config"));
exports.DefaultIndexConfig = DefaultIndexConfig.DefaultIndexConfig;
const IdcsSecret = __importStar(require("./idcs-secret"));
exports.IdcsSecret = IdcsSecret.IdcsSecret;
const OciDatabaseConfig = __importStar(require("./oci-database-config"));
exports.OciDatabaseConfig = OciDatabaseConfig.OciDatabaseConfig;
const OciObjectStorageDataSourceConfig = __importStar(require("./oci-object-storage-data-source-config"));
exports.OciObjectStorageDataSourceConfig = OciObjectStorageDataSourceConfig.OciObjectStorageDataSourceConfig;
const OciOpenSearchIndexConfig = __importStar(require("./oci-open-search-index-config"));
exports.OciOpenSearchIndexConfig = OciOpenSearchIndexConfig.OciOpenSearchIndexConfig;
//# sourceMappingURL=index.js.map