/**
 * Generative AI Agents Management API
 * **Generative AI Agents API**


OCI Generative AI Agents is a fully managed service that combines the power of large language models (LLMs) with an intelligent retrieval system to create contextually relevant answers by searching your knowledge base, making your AI applications smart and efficient.

OCI Generative AI Agents supports several ways to onboard your data and then allows you and your customers to interact with your data using a chat interface or API.

Use the Generative AI Agents API to create and manage agents, knowledge bases, data sources, endpoints, data ingestion jobs, and work requests.

For creating and managing client chat sessions see the [Generative AI Agents Client API](#/EN/generative-ai-agents-client/latest/).

To learn more about the service, see the [Generative AI Agents documentation](/iaas/Content/generative-ai-agents/home.htm).

 * OpenAPI spec version: 20240531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CancelWorkRequestResponse from "./cancel-work-request-response";
export import CancelWorkRequestResponse = CancelWorkRequestResponse.CancelWorkRequestResponse;
import * as ChangeAgentCompartmentResponse from "./change-agent-compartment-response";
export import ChangeAgentCompartmentResponse = ChangeAgentCompartmentResponse.ChangeAgentCompartmentResponse;
import * as ChangeAgentEndpointCompartmentResponse from "./change-agent-endpoint-compartment-response";
export import ChangeAgentEndpointCompartmentResponse = ChangeAgentEndpointCompartmentResponse.ChangeAgentEndpointCompartmentResponse;
import * as ChangeKnowledgeBaseCompartmentResponse from "./change-knowledge-base-compartment-response";
export import ChangeKnowledgeBaseCompartmentResponse = ChangeKnowledgeBaseCompartmentResponse.ChangeKnowledgeBaseCompartmentResponse;
import * as CreateAgentResponse from "./create-agent-response";
export import CreateAgentResponse = CreateAgentResponse.CreateAgentResponse;
import * as CreateAgentEndpointResponse from "./create-agent-endpoint-response";
export import CreateAgentEndpointResponse = CreateAgentEndpointResponse.CreateAgentEndpointResponse;
import * as CreateDataIngestionJobResponse from "./create-data-ingestion-job-response";
export import CreateDataIngestionJobResponse = CreateDataIngestionJobResponse.CreateDataIngestionJobResponse;
import * as CreateDataSourceResponse from "./create-data-source-response";
export import CreateDataSourceResponse = CreateDataSourceResponse.CreateDataSourceResponse;
import * as CreateKnowledgeBaseResponse from "./create-knowledge-base-response";
export import CreateKnowledgeBaseResponse = CreateKnowledgeBaseResponse.CreateKnowledgeBaseResponse;
import * as DeleteAgentResponse from "./delete-agent-response";
export import DeleteAgentResponse = DeleteAgentResponse.DeleteAgentResponse;
import * as DeleteAgentEndpointResponse from "./delete-agent-endpoint-response";
export import DeleteAgentEndpointResponse = DeleteAgentEndpointResponse.DeleteAgentEndpointResponse;
import * as DeleteDataIngestionJobResponse from "./delete-data-ingestion-job-response";
export import DeleteDataIngestionJobResponse = DeleteDataIngestionJobResponse.DeleteDataIngestionJobResponse;
import * as DeleteDataSourceResponse from "./delete-data-source-response";
export import DeleteDataSourceResponse = DeleteDataSourceResponse.DeleteDataSourceResponse;
import * as DeleteKnowledgeBaseResponse from "./delete-knowledge-base-response";
export import DeleteKnowledgeBaseResponse = DeleteKnowledgeBaseResponse.DeleteKnowledgeBaseResponse;
import * as GetAgentResponse from "./get-agent-response";
export import GetAgentResponse = GetAgentResponse.GetAgentResponse;
import * as GetAgentEndpointResponse from "./get-agent-endpoint-response";
export import GetAgentEndpointResponse = GetAgentEndpointResponse.GetAgentEndpointResponse;
import * as GetDataIngestionJobResponse from "./get-data-ingestion-job-response";
export import GetDataIngestionJobResponse = GetDataIngestionJobResponse.GetDataIngestionJobResponse;
import * as GetDataIngestionJobLogContentResponse from "./get-data-ingestion-job-log-content-response";
export import GetDataIngestionJobLogContentResponse = GetDataIngestionJobLogContentResponse.GetDataIngestionJobLogContentResponse;
import * as GetDataSourceResponse from "./get-data-source-response";
export import GetDataSourceResponse = GetDataSourceResponse.GetDataSourceResponse;
import * as GetKnowledgeBaseResponse from "./get-knowledge-base-response";
export import GetKnowledgeBaseResponse = GetKnowledgeBaseResponse.GetKnowledgeBaseResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ListAgentEndpointsResponse from "./list-agent-endpoints-response";
export import ListAgentEndpointsResponse = ListAgentEndpointsResponse.ListAgentEndpointsResponse;
import * as ListAgentsResponse from "./list-agents-response";
export import ListAgentsResponse = ListAgentsResponse.ListAgentsResponse;
import * as ListDataIngestionJobsResponse from "./list-data-ingestion-jobs-response";
export import ListDataIngestionJobsResponse = ListDataIngestionJobsResponse.ListDataIngestionJobsResponse;
import * as ListDataSourcesResponse from "./list-data-sources-response";
export import ListDataSourcesResponse = ListDataSourcesResponse.ListDataSourcesResponse;
import * as ListKnowledgeBasesResponse from "./list-knowledge-bases-response";
export import ListKnowledgeBasesResponse = ListKnowledgeBasesResponse.ListKnowledgeBasesResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as UpdateAgentResponse from "./update-agent-response";
export import UpdateAgentResponse = UpdateAgentResponse.UpdateAgentResponse;
import * as UpdateAgentEndpointResponse from "./update-agent-endpoint-response";
export import UpdateAgentEndpointResponse = UpdateAgentEndpointResponse.UpdateAgentEndpointResponse;
import * as UpdateDataSourceResponse from "./update-data-source-response";
export import UpdateDataSourceResponse = UpdateDataSourceResponse.UpdateDataSourceResponse;
import * as UpdateKnowledgeBaseResponse from "./update-knowledge-base-response";
export import UpdateKnowledgeBaseResponse = UpdateKnowledgeBaseResponse.UpdateKnowledgeBaseResponse;
