/**
 *
 *
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/jms/ListAgentInstallers.ts.html |here} to see how to use ListAgentInstallersRequest.
 */
export interface ListAgentInstallersRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment in which to list resources.
     *
     */
    "compartmentId"?: string;
    /**
     * The ID of the Fleet.
     */
    "fleetId"?: string;
    /**
     * The platform architecture for the agent installer.
     */
    "platformArchitecture"?: model.PlatformArchitectureType;
    /**
     * The OS family for the agent installer.
     */
    "osFamily"?: model.OsFamily;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort the agent installer. Only one sort order can be provided.
     * Default order for _agentInstallerId_, _osFamily_, _platformArchitecture_ is **ascending**.
     * If no value is specified _agentInstallerId_ is default.
     *
     */
    "sortBy"?: model.AgentInstallerSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
